@import "../../../styles.scss";

.page-container {
    width: calc(100vw - 130px);
    display: flex;
    height: 100vh;
    overflow-y: scroll;
    .container {
        min-width: 750px;
        max-width: 750px;
        margin: auto;
        padding-bottom: 24px;
    }
    h3 {
        color: $dark;
    }
}


// .container-settings {
//     display: flex;
//     flex-direction: column;
//     height: calc(100vh - 76px);
//     padding: 60px 0 0 0;
//     width: 100%;
//     // margin: auto;
// }
.btn {
    border: none;
    padding: 8px 16px;
    height: 56px;
    background: $purple;
    font-size: 14px;
    color: $white;
    text-transform: uppercase;
    margin: 0;
    cursor: pointer;
    &.text {
        // background: $white;
        font-size: 14px;
        color: $purple;
    }
    &.little {
        height: 42px;
        margin: auto 0 auto auto;
    }
    &:hover {
        background: darken($color: $purple, $amount: 5);
        &.text {
            background: darken($color: $white, $amount: 5);
        }
    }
}

.settings-title {
    font-size: 32px;
    color: $dark;
    margin: 40px auto 8px;
}
.settings-subtitle {
    color: $light;
    font-size: 16px;
    text-align: left;
    margin: 0 auto;
}
.data-title {
    font-size: 24px;
    color: $dark;
    margin: 0;
    margin-bottom: 8px; 
}
.data-subtitle {
    color: $paragraph;
    font-size: 16px;
    text-align: left;
    margin: 0;
    margin-bottom: 8px;
}
.container-data {
    margin: 24px 0;
    // border: 1px solid #F5F5F5;
    width: calc(100% - 50px);
    max-width: 900px;
    display: flex;
    flex-direction: column;
    padding: 24px 24px 0;
}
.item-userData {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid $inactive;
    height: 60px;
    line-height: 60px;
    padding: 0 8px;
    &:last-child {
        border-bottom: 0px solid $inactive;
    }
    .label, .data {
        color: $dark;
        font-size: 16px;
        text-align: left;
        flex: 1;
    }
    .btnData {
        flex: 2;
        display: flex;
        .btn {
            display: none;
        }
    }
    &:hover {
        .btnData {
            .btn {
                display: block;
            }
        }
    }

}
.avatar {
    height: 40px;
    width: 40px;
    min-height: 40px;
    min-width: 40px;
    line-height: 40px;
    border-radius: 20px;
    background-color: $purple;
    color: $white;
    display: flex;
    span {
        font-size: 24px;
        display: block;
        margin: auto;
    }
}

.container-btn {
    display: flex;
    flex-direction: row;
    justify-content: space-between
}
:host ::ng-deep .mat-tab-header {
    position: sticky;
    top: 0;
    background-color: $background;
    z-index: 99;
}